#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Created on Wed Mar  3 16:39:06 2021

@author: stefaan
"""

# %% imports

import pandas as pd
import maps.stamen_map as smap

# %% read in data
datadir = "./data/"
labeldf = pd.read_csv(datadir + "mapnames.csv")
labeldf = smap.preserve_newline(labeldf, ["name"])
labellist = smap.df2dictlist(labeldf)

lines = [
    {
        "lon0": 17.22,
        "lat0": -27.5,
        "lon1": 17.22,
        "lat1": -28.8,
        "lc": "purple",
        "ls": "-.",
    },
    {
        "lon0": 17.22,
        "lat0": -28.8,
        "lon1": 17.7,
        "lat1": -29.4,
        "lc": "purple",
        "ls": "-.",
    },
    {
        "lon0": 17.7,
        "lat0": -29.4,
        "lon1": 17.7,
        "lat1": -30,
        "lc": "purple",
        "ls": "-.",
    },
    {
        "lon0": 17.7,
        "lat0": -30,
        "lon1": 18.1,
        "lat1": -30.7,
        "lc": "purple",
        "ls": "-.",
    },
    {
        "lon0": 18.1,
        "lat0": -30.7,
        "lon1": 19.45,
        "lat1": -31.2,
        "lc": "indigo",
        "ls": "-.",
    },
    {
        "lon0": 19.45,
        "lat0": -31.2,
        "lon1": 20.35,
        "lat1": -32.55,
        "lc": "indigo",
        "ls": "-.",
    },
    {
        "lon0": 20.35,
        "lat0": -32.55,
        "lon1": 20.75,
        "lat1": -32.7,
        "lc": "blueviolet",
        "ls": "-.",
    },
    {
        "lon0": 20.75,
        "lat0": -32.7,
        "lon1": 21.15,
        "lat1": -32.7,
        "lc": "blueviolet",
        "ls": "-.",
    },
    {
        "lon0": 21.15,
        "lat0": -32.7,
        "lon1": 21.6,
        "lat1": -32.35,
        "lc": "blueviolet",
        "ls": "-.",
    },
    {
        "lon0": 21.6,
        "lat0": -32.35,
        "lon1": 22,
        "lat1": -32.35,
        "lc": "blueviolet",
        "ls": "-.",
    },
    {
        "lon0": 19,
        "lat0": -31.3,
        "lon1": 19,
        "lat1": -32.5,
        "lc": "orangered",
        "ls": "--",
    },
    {
        "lon0": 19,
        "lat0": -32.5,
        "lon1": 19.2,
        "lat1": -33,
        "lc": "orangered",
        "ls": "--",
    },
    {
        "lon0": 19.2,
        "lat0": -33,
        "lon1": 19.3,
        "lat1": -33.5,
        "lc": "orangered",
        "ls": "--",
    },
    {
        "lon0": 19.3,
        "lat0": -33.5,
        "lon1": 20.5,
        "lat1": -34.05,
        "lc": "darkorange",
        "ls": "--",
    },
    {
        "lon0": 20.5,
        "lat0": -34.05,
        "lon1": 22,
        "lat1": -34.05,
        "lc": "darkorange",
        "ls": "--",
    },
    {
        "lon0": 19.8,
        "lat0": -33.35,
        "lon1": 22,
        "lat1": -33.35,
        "lc": "darkorange",
        "ls": "--",
    },
    {
        "lon0": 18.75,
        "lat0": -32.2,
        "lon1": 19.05,
        "lat1": -32.9,
        "lc": "orangered",
        "ls": "--",
    },
    {
        "lon0": 19.05,
        "lat0": -32.9,
        "lon1": 19.05,
        "lat1": -33.6,
        "lc": "orangered",
        "ls": "--",
    },
    {
        "lon0": 19.7,
        "lat0": -33.2,
        "lon1": 19.7,
        "lat1": -32.7,
        "lc": "orangered",
        "ls": "--",
    },
    {
        "lon0": 19.4,
        "lat0": -33.95,
        "lon1": 20,
        "lat1": -34.1,
        "lc": "darkorange",
        "ls": "--",
    },
    {
        "lon0": 19.4,
        "lat0": -34.4,
        "lon1": 20,
        "lat1": -34.5,
        "lc": "darkorange",
        "ls": "--",
    },
]
# %%  example map

smap.annotated_map(labellist, lines, savemeta="SWSA_z8")
