#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Created on Sun Apr  4 13:52:40 2021

@author: stefaan

"""
# %% Imports

import xarray as xr
import pandas as pd
import numpy as np

# %% Add proper time axis where xarray fails

def read_time_man(file, time_int='MS'):  # default to monthly data at start of month
    ds = xr.open_dataset(file, decode_times=False)
    units, reference_date = ds.time.attrs['units'].split('since')
    ds['time'] = pd.date_range(start=reference_date, periods=ds.sizes['time'],
                               freq=time_int)
    return ds
